{ pkgs
, cleanSource
, schildichat-desktop-src ? ../. }:

let
  version = pkgs.lib.importJSON "${schildichat-desktop-src}/element-web/package.json".version;
in pkgs.stdenv.mkDerivation {
  pname = "schildichat-web";
  inherit version;

  src = cleanSource schildichat-desktop-src;
  nativeBuildInputs = with pkgs; [ nodejs yarn ];

  buildPhase = ''
    export HOME=$PWD/tmp-home
    mkdir -p $HOME

    cp configs/sc/config.json element-web/

    pushd element-web
    yarn install --frozen-lockfile

    pushd ../matrix-react-sdk
    yarn install --frozen-lockfile
    yarn reskindex -h ../element-web/src/header
    popd

    yarn reskindex -h src/header
    node scripts/copy-res.js
    yarn build
    popd
  '';

  installPhase = ''
    mkdir -p $out
    cp -r element-web/webapp $out/
  '';
}
